Package picard.illumina.parser.fakers

# Class FileFaker

java.lang.Object
picard.illumina.parser.fakers.FileFaker

Direct Known Subclasses:
  `BarcodeFileFaker`, `BciFileFaker`, `BclFileFaker`, `BclIndexFaker`, `ClocsFileFaker`, `FilterFileFaker`, `LocsFileFaker`, `MultiTileBclFileFaker`, `MultiTileLocsFileFaker`, `PosFileFaker`

public abstract class FileFaker extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileFaker()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`addLeadingZeros()`
`protected abstract int`
`bufferSize()`
`void`
`fakeFile(File base, int tile, int lane, String extension)`
`void`
`fakeFile(File cycleFile, Integer size)`
`void`
`fakeFile(File base, List<Integer> expectedTiles, int lane, String extension)`
`protected abstract void`
`fakeFile(ByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileFaker

public FileFaker()

## Method Details

### fakeFile

protected abstract void fakeFile(ByteBuffer buffer)

### addLeadingZeros

protected abstract boolean addLeadingZeros()

### bufferSize

protected abstract int bufferSize()

### fakeFile

public void fakeFile(File base, int tile, int lane, String extension) throws IOException

Throws:
  `IOException`

### fakeFile

public void fakeFile(File base, List<Integer> expectedTiles, int lane, String extension) throws IOException

Throws:
  `IOException`

### fakeFile

public void fakeFile(File cycleFile, Integer size) throws IOException

Throws:
  `IOException`